<PreferenceScreen xmlns:app="http://schemas.android.com/apk/res-auto">

    <PreferenceCategory app:title="@string/messages_header">


        <ListPreference
            app:defaultValue="/dev/ttyS2"
            app:key="serialDeivce"
            app:title="@string/serial_deivce"
            app:useSimpleSummaryProvider="true" />

        <ListPreference
            app:defaultValue="115200"
            app:entries="@array/baud_rate_entries"
            app:entryValues="@array/baud_rate_values"
            app:key="baudRate"
            app:title="@string/baud_rate"
            app:useSimpleSummaryProvider="true" />

        <ListPreference
            app:defaultValue="8"
            app:entries="@array/data_bits_entries"
            app:entryValues="@array/data_bits_values"
            app:key="dataBits"
            app:title="@string/data_bits"
            app:useSimpleSummaryProvider="true" />


        <ListPreference
            app:defaultValue="0"
            app:entries="@array/parity_entries"
            app:entryValues="@array/parity_values"
            app:key="parity"
            app:title="@string/parity"
            app:useSimpleSummaryProvider="true" />

        <ListPreference
            app:defaultValue="1"
            app:entries="@array/stop_bits_entries"
            app:entryValues="@array/stop_bits_values"
            app:key="stopBits"
            app:title="@string/stop_bits"
            app:useSimpleSummaryProvider="true" />


<!--        <EditTextPreference-->
<!--            app:key="signature"-->
<!--            app:title="@string/signature_title"-->
<!--            app:useSimpleSummaryProvider="true" />-->

<!--        <ListPreference-->
<!--            app:defaultValue="reply"-->
<!--            app:entries="@array/reply_entries"-->
<!--            app:entryValues="@array/reply_values"-->
<!--            app:key="reply"-->
<!--            app:title="@string/reply_title"-->
<!--            app:useSimpleSummaryProvider="true" />-->

    </PreferenceCategory>

    <PreferenceCategory app:title="@string/sync_header">

                <EditTextPreference
                    app:key="tcpServer"
                    app:title="@string/tcp_server"
                    app:useSimpleSummaryProvider="true" />


        <EditTextPreference
            app:key="tcpServerPort"
            app:title="@string/tcp_server_port"
            app:useSimpleSummaryProvider="true" />

<!--        <SwitchPreferenceCompat-->
<!--            app:dependency="sync"-->
<!--            app:key="attachment"-->
<!--            app:summaryOff="@string/attachment_summary_off"-->
<!--            app:summaryOn="@string/attachment_summary_on"-->
<!--            app:title="@string/attachment_title" />-->

    </PreferenceCategory>

</PreferenceScreen>